> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hris Expense Reports For Org

> Paginated list of the org's non-draft, non-contractor expense reports with dashboard summary tiles.

Required scope: `expenses:read`

## OpenAPI

````yaml api-reference/openapi.json POST /hris/get-hris-expense-reports-for-org
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-hris-expense-reports-for-org:
    post:
      operationId: getHrisExpenseReportsForOrg
      summary: Get Hris Expense Reports For Org
      x-toku-required-scope: expenses:read
      description: >-
        Paginated list of the org's non-draft, non-contractor expense reports
        with dashboard summary tiles.


        Required scope: `expenses:read`
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetHrisExpenseReportsForOrgRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHrisExpenseReportsForOrgResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetHrisExpenseReportsForOrgRequest:
      type: object
      properties:
        status:
          type: string
          enum:
            - DRAFT
            - SUBMITTED
            - PENDING_INFO
            - APPROVED
            - REJECTED
            - CANCELLED
            - PROCESSING
            - PAID
        roleInOrgID:
          type: string
          format: uuid
        expensedCurrencyID:
          type: string
          format: uuid
        hrisExpenseCategoryID:
          type: string
          format: uuid
        fromDate:
          type: string
          format: date-time
        toDate:
          type: string
          format: date-time
        search:
          type: string
          maxLength: 200
          description: >-
            NOTE(ck): a .transform() rule is not mirrored here; TGA still
            enforces it
        limit:
          type: integer
          minimum: 1
          maximum: 500
          default: 50
        offset:
          type: integer
          minimum: 0
          default: 0
        summaryOnly:
          type: boolean
    GetHrisExpenseReportsForOrgResponse:
      type: object
      properties:
        totalCount:
          type: number
        reports:
          type: array
          items:
            type: object
            properties:
              hrisExpenseReportID:
                type: string
              roleInOrgID:
                type: string
              roleInOrgName:
                type:
                  - string
                  - 'null'
              roleInOrgEmail:
                type:
                  - string
                  - 'null'
              roleInOrgDepartment:
                type:
                  - string
                  - 'null'
              name:
                type: string
              status:
                type: string
              startDate:
                type:
                  - string
                  - 'null'
              endDate:
                type:
                  - string
                  - 'null'
              expensedCurrencyID:
                type:
                  - string
                  - 'null'
              expensedCurrencyCode:
                type:
                  - string
                  - 'null'
              expensedCurrencyName:
                type:
                  - string
                  - 'null'
              totalAmountInExpenseCurrency:
                type:
                  - string
                  - 'null'
              submittedAt:
                type:
                  - string
                  - 'null'
              approvedAt:
                type:
                  - string
                  - 'null'
              rejectedAt:
                type:
                  - string
                  - 'null'
              paidAt:
                type:
                  - string
                  - 'null'
              payoutStatus:
                type:
                  - string
                  - 'null'
              decisionUndoableUntil:
                type:
                  - string
                  - 'null'
              rejectionReason:
                type:
                  - string
                  - 'null'
              reviewComment:
                type:
                  - string
                  - 'null'
              createdAt:
                type:
                  - string
                  - 'null'
              updatedAt:
                type:
                  - string
                  - 'null'
              expenseCount:
                type: number
              categoryNames:
                type: array
                items:
                  type: string
              primaryExpenseCategoryName:
                type:
                  - string
                  - 'null'
              hasReceiptlessExpenses:
                type: boolean
              thirdPartyProvider:
                type:
                  - string
                  - 'null'
              thirdPartyReportID:
                type:
                  - string
                  - 'null'
              reimbursementSyncedAt:
                type:
                  - string
                  - 'null'
              reimbursementSyncError:
                type:
                  - string
                  - 'null'
            required:
              - hrisExpenseReportID
              - roleInOrgID
              - roleInOrgName
              - roleInOrgEmail
              - roleInOrgDepartment
              - name
              - status
              - startDate
              - endDate
              - expensedCurrencyID
              - expensedCurrencyCode
              - expensedCurrencyName
              - totalAmountInExpenseCurrency
              - submittedAt
              - approvedAt
              - rejectedAt
              - paidAt
              - payoutStatus
              - decisionUndoableUntil
              - rejectionReason
              - reviewComment
              - createdAt
              - updatedAt
              - expenseCount
              - categoryNames
              - primaryExpenseCategoryName
              - hasReceiptlessExpenses
              - thirdPartyProvider
              - thirdPartyReportID
              - reimbursementSyncedAt
              - reimbursementSyncError
        dashboardSummary:
          type: object
          properties:
            pendingApprovalCount:
              type: number
            pendingApprovalAmount:
              type: string
            approvedThisMonthCount:
              type: number
            reimbursedThisMonthAmount:
              type: string
            reimbursedThisMonthAmounts:
              type: array
              items:
                type: object
                properties:
                  currencyCode:
                    type:
                      - string
                      - 'null'
                  amount:
                    type: string
                required:
                  - currencyCode
                  - amount
          required:
            - pendingApprovalCount
            - pendingApprovalAmount
            - approvedThisMonthCount
            - reimbursedThisMonthAmount
            - reimbursedThisMonthAmounts
      required:
        - totalCount
        - reports
        - dashboardSummary
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
